Status: New Start date: 19 Apr 2012

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.00 hour

Description

Here are some ideas for convenient ring ctors which make homs too:

change PPOrdering (makes new poly ring, and provides the two isom homs)

change coeff ring (makes new poly ring, and provides hom from old to new ring)

add new indets (makes new poly ring, provides embedding, and partial "return" hom)

?flatten k[x][y] into k[x,y] (provides both isoms too)

I expect there are some more

History

#1 - 01 Apr 2014 17:35 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#2 - 07 Apr 2014 18:16 - John Abbott

- Category set to New Function

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#3 - 11 Jul 2014 12:06 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0
